---
title: Videotrack.language
slug: Web/API/VideoTrack/language
tags:
  - API
  - HTML DOM
  - Language
  - Localization
  - Media
  - Property
  - Read-only
  - Reference
  - Video
  - VideoTrack
  - track
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The read-only <strong>{{domxref("VideoTrack")}}</strong> property <strong><code>language</code></strong> returns a string identifying the language used in the video track.</span> For tracks that include multiple languages (such as a movie in English in which a few lines are spoken in other languages), this should be the video's primary language.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>videoTrackLanguage</em> = <em>VideoTrack</em>.language;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} specifying the BCP 47 ({{RFC(5646)}}) format language tag of the primary language used in the video track, or an empty string (<code>""</code>) if the language is not specified or known, or if the track doesn't contain speech.</p>

<p>For example, if the primary language used in the track is United States English, this value would be <code>"en-US"</code>. For Brazilian Portuguese, the value would be <code>"pt-BR"</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-videotrack-language', 'VideoTrack: language')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VideoTrack.language")}}</p>
